<?php
/*
Автор кода: -=MTV=-,Shot_(Robber),Allion,MarK
Официальны сайт поддержки: http://strongcms.ru 
*/

$title = 'Фотоальбомы';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!$user['id']) {
header('Location: '.$HOME.'');
exit();
}

switch($_GET['act'])
{
default:

echo '<div class="title">'.$title.'</div>
<div class="links"><img src="'.$HOME.'/images/add.png" alt="*"/> <a href="'.$HOME.'/photo/new_photo">Добавить файл</a></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `photo_files` "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$photo = mysql_query("SELECT * FROM `photo_files` ORDER BY `id` DESC LIMIT $start, $max");
while($a = mysql_fetch_assoc($photo))
{
echo '<div class="menudiv"><a href="/photo/foto'.$a['id'].'" class="k_menu">
<center>
<img src="/files/photo/'.$a['files'].'" alt="*" title="'.$a['name'].'" style="max-width: 210px; max-height: 210px;">
</center>
<br />
<div class="divnews">'.smile(bb($a['opis'])).'</div></div></a>';
}

if($k_post < 1) {
echo '<div class="podmenu"><b><center>Файлов еще нет!</center></b></div>';
}

if ($k_page>1) {
echo str(''.$HOME.'/photo?',$k_page,$page); // Вывод страниц
}

break;
case 'new_photo':


echo '<div class="title"><a href="/photo">'.$title.'</a> | Новая фотография</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

$name = strong($_POST['name']);
$opis = strong($_POST['opis']);

$maxsize = 2; //Максимальный размер файла,в мегабайтах 
$size = $_FILES['filename']['size']; //Вес файла

/* Тип файлов которые можно загружать */
$filetype = array ( 'jpg', 'gif', 'png', 'jpeg', 'bmp'  ); 
$upfiletype = substr($_FILES['filename']['name'],  strrpos( $_FILES['filename']['name'], ".")+1);

if ($size > (1048576 * $maxsize)) $err ='Максимальный размер файла '.$maxsize.'мб!';
if(!in_array($upfiletype,$filetype)) $err ='К загрузке разрешены файлы форматом JPG,GIF,PNG,JPEG,BMP!';
if(!@file_exists($_FILES['filename']['tmp_name'])) $err ='Вы не выбрали файл!';
if(mb_strlen($opis) < 5) $err = 'Минимум для ввода 5 символов!';
if(empty($opis)) $err = 'Введите описание фотографии!';
if(mb_strlen($name) < 3) $err = 'Минимум для ввода 3 символа!';
if(empty($name)) $err = 'Введите название фотографии!';

if($err) {
echo '<div class="podmenu"><center><b>'.$err.'</b></center></div>';
require_once ('../system/footer.php');
exit();
}

/* Если все окей,заливаем файл в папу и делаем запрос */
$files = 'files_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 

/* Заливаем */
move_uploaded_file($_FILES['filename']['tmp_name'], "../files/photo/".$files.""); 

/* Делаем запрос */
mysql_query("INSERT INTO `photo_files` SET `name` = '".$name."',`opis` = '".$opis."',`files` = '".$files."',`us` = '".$user['id']."',`time` = '".time()."'");

$sql = mysql_insert_id();
header('Location: '.$HOME.'/photo/foto'.$sql.'');
exit();
}

echo '<div class="podmenu"><form action="" method="post" enctype="multipart/form-data"> 
Название:<br /> <input type="text" name="name" value=""/><br />
Описание:<br /><textarea name="opis"></textarea><br />
Файл:<br /><input type="file" name="filename"/><br /> 
<input type="submit" name="submit" value="Загрузить" />
</form></div>
<div class="links">» <a href="'.$HOME.'/photo/">Назад в фотоальбомы</a></div>';

break;
case 'foto':

$id = abs(intval($_GET['id']));
$photo = mysql_fetch_assoc(mysql_query("SELECT * FROM `photo_files` WHERE `id` = '".$id."'"));

if($photo == 0) {
echo '<div class="title"><a href="'.$HOME.'/photo/">'.$title.'</a> | Ошибка</div><div class="podmenu"><center><b>Такой фотографии не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="/photo">'.$title.'</a> | '.$photo['name'].'</div>
<div class="podmenu">
<center>
<a href="/files/photo/'.$photo['files'].'"><img src="/files/photo/'.$photo['files'].'" alt="*" style="max-width: 210px; max-height: 210px;"></a>
</center>
<br />
Название: <b>'.$photo['name'].'</b> 
<br />
Описание: <b>'.smile(bb($photo['opis'])).'</b>
<br />
Добавил: '.nick($photo['us']).' ('.vremja($photo['time']).')</div>
<div class="links">» <a href="'.$HOME.'/photo/">Назад в фотоальбомы</a></div>';


break;
}

require_once ('../system/footer.php');
?>